Page MenuHome

Adaptive Domain causing 'twitches' in gas position when noise applied
Confirmed, NormalPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362 64 Bits
Graphics card: GeForce GTX 1070 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 431.36

Blender Version
Broken: version: 2.81 (sub 3), branch: fluid-mantaflow (modified), commit date: 2019-08-27 23:26, hash: rB552149d8f537
Worked: (optional)

Short description of error
When I use adaptive domain, I have been noticing odd 'twitches' in the smoke's position once I've baked a noise pass.

Exact steps for others to reproduce the error
Bake the attached .blend and watch the sim playback, then bake the noise and watch the sim playback, you should see the 'twitches' I'm on about.
Here's my result- https://www.youtube.com/watch?v=-DPv9mUfQiI&feature=youtu.be

If you bake the sim without adaptive domain, it looks completely different, but there are no 'twitches' when the noise is added.
Here's my result of that- https://www.youtube.com/watch?v=Qda23EtCR2w&feature=youtu.be

I don't notice the problem every time I use adaptive domain, but I'd guess it happens to all sims, but maybe it's just not noticed if it's small enough.

Cheers!
Mark

Event Timeline

Jeroen Bakker (jbakker) changed the task status from Duplicate to Unknown Status.Oct 17 2019, 8:14 AM

This task is not a duplicate of T70678

@Sebastián Barschkis (sebbas), wanna have a look if this issue is relevant as it is mentioning only the mantafluid branch.

Sebastián Barschkis (sebbas) lowered the priority of this task from 90 to 50.

Yes, this looks some data is missing during the noise bake. I.e. the noise bake job is not loading some data from the previous low res job. "Twitches" are usually missing velocities.

I am currently rewriting parts of the caching. That might resolve this issue. I'll come back to this once the refactored caching is finished.

As requested-

Typically: when I re-baked the old scene I couldn't see anything much wrong- until I removed the 2 Turbulence fields I was using to make the smoke look interesting, after which I was rewarded with an absolute corker of an example of the issue (TC 06:21 to 06:22)-

https://www.youtube.com/watch?v=OWt1Yp9IrRc&feature=youtu.be

You can also see something suspicious happening at TC 00:17 to 00:18 from the overhead camera.

Here's the scene file-

Something I have noticed, don't know if it's related but- adaptive domain doesn't seem to give a toss about the domain size & position once baked: i.e. in the attached scene the bottom of the domain goes way below where the domain was originally defined, and had it's scale applied, before baking.
Like so-
pre-bake

post-bake

Also I've noticed when baking the noise, there seem to be instances of 2-3 frames baking way faster than the rest (observed while watching the timeline play head whilst baking), I couldn't swear to it, but I think it's around when the twitches occur.
Additionally the twitch coincides with the time the wee box in the bottom corner of the domain moves in x,y,or z, which doesn't happen without adaptive domain being enabled.

Here's my current system info-
System Information
Operating system: Windows-10-10.0.18362 64 Bits
Graphics card: GeForce GTX 1070 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 436.48

Blender Version
Broken: version: 2.81 (sub 12), branch: fluid-mantaflow, commit date: 2019-09-27 09:45, hash: rB114783000d0b

IMHO my issue is totally to do with adaptive domain, not with the domain being moved. I've never used a non-static domain so far (nice idea though, shall do in future!).

Cheers!
Mark

This still happens in the 21-11-19 build by the looks of it.

Here's the blend-

While strangely the 21-11-19 build seems to have fixed it for the original blend I put in this thread-

Odd!

Mark Spink (marks) added a comment.EditedNov 24 2019, 5:02 AM

Tried the above 'DomainTwitch2' file in the 22-11-19 build- re-baked smoke & noise & rendered, and here are the results-

The twitches are at different times and places, and occasionally parts of the smoke disappear from the bake with noise, which seems to be a new behaviour- I've not noticed it before anyway.
The blend should be the same as the one uploaded above, but here it is again-

Mark Spink (marks) added a comment.EditedDec 21 2019, 4:13 AM

Hello All

FYI; I tried the scene in the 16-12-2019 build and it looks like this issue persists if noise is added to a sim using Adaptive Domain-

Here's the blend file-

Mark Spink (marks) added a comment.EditedJan 16 2020, 6:20 AM

Hello

This issue still exists in the 15th January build of 2.82Beta-

here's the (simple as I can make it) .blend-

Made using this build-

Bake it, then bake the noise, and you should get the 'twitches' between frames 118-119 & 122-123.

Just to mention it; with this build and the one I was using yesterday (14th Jan build I believe)- I've never had so many crashes while attempting to bake, either the sim or the noise. It's awful compared to the old 26th of November build (mantaflow branch). I can't report it as a bug as it's not repeatable / too inconsistent. Creating this file I must had had at least 5 crashes while trying to bake the sim, but eventually managed to get all the way through.
Sometimes re-starting the machine helps, sometimes makes no difference.
And it's a completely-disappears-have-to-run-blender-again type crash, always during baking either sim or noise.

With the latest commits (4dbaee02937e) in branch blender-v2.82-release the 'twitch issue' seems to be resolved. Can you confirm that?

Shall do Boss: I'm still seeing this on blender.org at about 11AM Sydney time:
Main Branch-


Experimental Branch-

So I'll have to wait an hour or 3 for it to change.
(any chance we could lose the Experimental branch from the downloads? It's well out of date, and I myself was waiting to see it updated until I realised it was obsolete about the 15th of Jan...)

Mark Spink (marks) added a comment.EditedJan 21 2020, 1:58 AM

Here's what I get in 2.82 (sub 6), branch: master, commit date: 2020-01-19 22:44, hash: rB81b7f8efaf7a version. I didn't even have to bake the noise to see it.

Interestingly, this version won't allow me to render as a dos process without crashing (my usual trick to use all my GPUs to do an Eevee render, Nvidia drivers allow running a dos process on each GPU). Edit, forget the Dos process crashes thing- me being a dick-head: had moved the scene file...

Mark Spink (marks) added a comment.EditedJan 21 2020, 4:10 AM

Hello, I downloaded version: 2.82 (sub 6), branch: master, commit date: 2020-01-20 22:06, hash: rB902209eda527 and rendered-

No cigar I'm afraid! It 'twitches' between frames 116 & 117, looking in the viewport the whole domain drops about 7cm (measure tool).
The domain stays the same size, but it's at it's full original dimensions by then in the sim anyway.
I tried on another system (laptop) and got the same result, on the same frames. I did notice that, when viewed from the side view, the smoke passes beyond the collision plane after the 'twitch' and stays below it to the end..
When noise is disabled the smoke respects the collision plane throughout the sim.

I'm off to test the new build for the other bugs I reported now...

Cheers!
Mark

Thanks for the in-depth tests! The video just above, was that re-simulated with rB902209eda527 before rendering? Did you see the 'twitches' in the viewport too?

Can confirm that there was a bug in the rB81b7f8efaf7a build. With the newer rB902209eda527 is was not able to reproduce the twitches though.

Mark Spink (marks) added a comment.EditedJan 22 2020, 1:12 AM

Sorry! But yes here's what I'm seeing-

Hopefully you can see the 'xxxeda527' from the splash screen, speeded up the dull baking bit (such a shame you can't do this in real life!)...
Did this on my laptop (I'm still ever so slightly paranoid about my Threadripper), so an Iniel i7 box / GTX 1060 6Gb.

Here's the .blend again, just in case it differs at all from the earlier upload-

I was getting my congratulations speech ready; but unfortunately not...

Same frame as with the 'xxx4a11f' build I grabbed today, re-baked obviously. Sorry...

@Mark Spink (marks) I see, that is very odd. I am baking the file on macOS and am not able to reproduce the twitches. Will try on Windows too.

I assume the file from your previous post is the one you used for the video? And also, have "All Transformations" been applied to the smoke domain before baking. Just checking .. Thanks!

@Sebastián Barschkis (sebbas) Sorry, was busy throwing an animatic together for a job (you've got to love Eevee for that!), I just re baked after resetting all transforms (position was not zeroed out) and it didn't twitch!

Apologies! I'll see if I can find any other scenes which used to have the issue and try them (and see if I was an arse-biscuit with the domain transforms in them as well!).

Ah, I see! So when I baked on Windows I must have forgotten to apply the transformations too!

That at least explains the issue - and this time there is no issue on Windows.

Just baking the scene I put in T72214 as that had a decent twitch in it - have zeroed all transforms on that as well... I think you may well have found the culprit (namely me by the looks of it!).
I'll throw it on here once it's rendered.

Bugger! This one still twitches-

But the domain is animated (parented to the emitter), would that be the culprit? )I'll put this on T72214 as well)

Here's the scene file-

Jeroen Bakker (jbakker) changed the subtype of this task from "Report" to "Bug".Feb 4 2020, 10:50 AM

As @Sebastián Barschkis (sebbas) is working on this I mark this as a bug report.

Just chiming in to confirm this bug. I've also encountered it several times.